> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mycreditapp.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get organizations analytics history

> Retrieves the analytics history for a specific guest organization and target organization.
    #### [Authorization scenarios](/content/developer-guide/introduction/authorization#scenarios)
    | Guest | Host | Self |
    |-------|------|------|
    | ✅    | ❌   | ✅  |



## OpenAPI

````yaml /content/developer-guide/api-reference/openapi_v1.json get /organizations/{org_id}/analytics
openapi: 3.1.0
info:
  title: API - V1
  version: 1.0.0
servers:
  - url: https://api.mycreditapp.ai/v1-beta
security: []
paths:
  /organizations/{org_id}/analytics:
    get:
      tags:
        - Organization Analytics
      summary: Get organizations analytics history
      description: >-
        Retrieves the analytics history for a specific guest organization and
        target organization.
            #### [Authorization scenarios](/content/developer-guide/introduction/authorization#scenarios)
            | Guest | Host | Self |
            |-------|------|------|
            | ✅    | ❌   | ✅  |
      operationId: get_organizations_analytics_history_organizations__org_id__analytics_get
      parameters:
        - name: org_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: >-
              Unique identifier of the
              [organization](https://docs.mycreditapp.ai/api-reference/organizations/get-organization)
            examples:
              - a3c9e8f1-2b4d-4c6e-8f0a-1b2c3d4e5f60
            title: Org Id
          description: >-
            Unique identifier of the
            [organization](https://docs.mycreditapp.ai/api-reference/organizations/get-organization)
        - name: statuses
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                uniqueItems: true
                items:
                  $ref: '#/components/schemas/AnalyticsStatus'
                minItems: 1
              - type: 'null'
            description: Optional set of analytics statuses to filter the results
            title: Statuses
          description: Optional set of analytics statuses to filter the results
        - name: order_by
          in: query
          required: false
          schema:
            enum:
              - analyzed_on
              - created_at
              - updated_at
              - status
            type: string
            description: Field to sort the results by
            default: analyzed_on
            title: Order By
          description: Field to sort the results by
        - name: order_dir
          in: query
          required: false
          schema:
            enum:
              - asc
              - desc
            type: string
            description: 'Sort direction: ascending (''asc'') or descending (''desc'')'
            default: desc
            title: Order Dir
          description: 'Sort direction: ascending (''asc'') or descending (''desc'')'
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            exclusiveMinimum: 0
            description: Maximum number of results to return in a single request
            examples:
              - 10
              - 50
            default: 20
            title: Limit
          description: Maximum number of results to return in a single request
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            description: Number of items to skip before starting to collect the results
            examples:
              - 0
              - 20
            default: 0
            title: Offset
          description: Number of items to skip before starting to collect the results
        - name: Requester-Organization-ID
          in: header
          required: true
          schema:
            type: string
            format: uuid
            description: |

              The unique identifier of the organization making the request.
              **This ID is used to authorize the requester within the system**.
            examples:
              - 054b4106-174b-46b0-97f8-86d8d7b6f0af
            title: Requester-Organization-Id
          description: |

            The unique identifier of the organization making the request.
            **This ID is used to authorize the requester within the system**.
        - name: Target-Organization-ID
          in: header
          required: true
          schema:
            type: string
            format: uuid
            description: >

              The unique identifier of the organization that is the target of
              the request.

              The `Target-Organization-ID` may match the
              `Requester-Organization-ID` if the requester accesses their own
              resources.

              If the `Target-Organization-ID` differs from the
              `Requester-Organization-ID`, the requester can access third-party
              resources **if the requester has a connection with the target
              organization and is authorized to perform such actions**.
            examples:
              - 123e4567-e89b-12d3-a456-426614174000
            title: Target-Organization-Id
          description: >

            The unique identifier of the organization that is the target of the
            request.

            The `Target-Organization-ID` may match the
            `Requester-Organization-ID` if the requester accesses their own
            resources.

            If the `Target-Organization-ID` differs from the
            `Requester-Organization-ID`, the requester can access third-party
            resources **if the requester has a connection with the target
            organization and is authorized to perform such actions**.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrganizationAnalyticsHistoryList'
        '400':
          description: Bad Request
          content:
            application/json:
              example:
                detail:
                  - loc: []
                    msg: Unsupported CRUD operation!
                    type: request
                    code: unsupported_crud_operation
              schema:
                $ref: '#/components/schemas/APIError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc: []
                    msg: Token is required!
                    type: token
                    code: token_required
                  - loc: []
                    msg: The token has expired!
                    type: token
                    code: token_expired
                  - loc: []
                    msg: Invalid token!
                    type: token
                    code: invalid_token
        '403':
          description: Forbidden
          content:
            application/json:
              example:
                detail:
                  - loc: []
                    msg: Access denied!
                    type: request
                    code: access_denied
              schema:
                $ref: '#/components/schemas/APIError'
        '404':
          description: Not Found
          content:
            application/json:
              example:
                detail:
                  - loc: []
                    msg: Account not found!
                    type: request
                    code: account_not_found
                  - loc: []
                    msg: Organization not found!
                    type: request
                    code: organization_not_found
              schema:
                $ref: '#/components/schemas/APIError'
        '409':
          description: Conflict
          content:
            application/json:
              example:
                detail:
                  - loc: []
                    msg: >-
                      The account is in the process of being deleted! The
                      Account's email can only be reused after its data has been
                      completely deleted. The removal process may take up to 24
                      hours.
                    type: request
                    code: account_being_deleted
                  - loc: []
                    msg: >-
                      The organization is in the process of being deleted! The
                      removal process may take up to 24 hours.
                    type: request
                    code: organization_being_deleted
              schema:
                $ref: '#/components/schemas/APIError'
        '413':
          description: Request Entity Too Large
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc: []
                    msg: The request is too large!
                    type: request
                    code: request_too_large
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc:
                      - string
                      - 0
                    msg: string
                    type: string
                    code: validation_error
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc: []
                    msg: Error processing request, please try later!
                    type: try_later
                    code: internal_conflict_error
        '503':
          description: Service Unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc: []
                    msg: Service is under maintenance, please try later!
                    type: maintanance
                    code: service_under_maintenance
      security:
        - Token: []
components:
  schemas:
    AnalyticsStatus:
      type: string
      enum:
        - in_progress
        - processing
        - success
        - failed
      title: AnalyticsStatus
    OrganizationAnalyticsHistoryList:
      properties:
        items:
          items:
            $ref: '#/components/schemas/OrganizationAnalyticsHistoryItem'
          type: array
          title: Items
          description: List of analytics history items returned by the query
        total_items:
          type: integer
          minimum: 0
          title: Total Items
          description: >-
            Total number of analytics history items matching the query, ignoring
            pagination
          default: 0
          examples:
            - 1
            - 25
            - 100
      type: object
      required:
        - items
      title: OrganizationAnalyticsHistoryList
    APIError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ErrorItem'
          type: array
          title: Detail
          description: >

            List of returned errors.

            **All unsuccessful error codes except code `422` can only contain 1
            element in the list**.
      type: object
      required:
        - detail
      title: APIError
    OrganizationAnalyticsHistoryItem:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Unique identifier of the analytics history item
          examples:
            - 3fa85f64-5717-4562-b3fc-2c963f66afa6
        status:
          $ref: '#/components/schemas/AnalyticsStatus'
          description: Current status of the analytics
        analyzed_on:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Analyzed On
          description: Timestamp when the analytics was completed, if applicable
          examples:
            - '2025-09-23T16:07:35.675578'
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Timestamp when the analytics record was created
          examples:
            - '2025-09-23T16:07:35.675578'
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: Timestamp when the analytics record was updated
          examples:
            - '2025-09-23T16:07:35.675578'
        balance_sheets:
          items:
            $ref: '#/components/schemas/OrganizationAnalyticsFinancialDocument'
          type: array
          title: Balance Sheets
          description: List of balance sheet documents included in the analytics
          default: []
        income_statements:
          items:
            $ref: '#/components/schemas/OrganizationAnalyticsFinancialDocument'
          type: array
          title: Income Statements
          description: List of income statement documents included in the analytics
          default: []
        cashflow_statements:
          items:
            $ref: '#/components/schemas/OrganizationAnalyticsFinancialDocument'
          type: array
          title: Cashflow Statements
          description: List of cashflow statement documents included in the analytics
          default: []
      type: object
      required:
        - id
        - status
        - created_at
        - updated_at
      title: OrganizationAnalyticsHistoryItem
    ErrorItem:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Loc
          description: |

            Shows the dynamic location of the current error.
            If an empty array is returned, the error is static.
          examples:
            - - body
              - date_field
              - 0
            - - header
              - Authorization
        msg:
          type: string
          title: Msg
          description: |

            A human-readable message providing more details about the error.
          examples:
            - Token is required!
            - Invalid token!
        type:
          type: string
          title: Type
          description: >

            A string indicating the type of error.

            **The list is not fixed, so it's necessary to pay attention to the
            possible type for a specific error**.
          examples:
            - token
            - request
            - try_later
        code:
          type: string
          title: Code
          description: >

            Unique text error code identifying the error.

            **The list is not fixed, so it's necessary to pay attention to the
            possible code for a specific error**.
          examples:
            - token_required
            - invalid_token
            - access_denied
      type: object
      required:
        - loc
        - msg
        - type
        - code
      title: ErrorItem
    OrganizationAnalyticsFinancialDocument:
      properties:
        period:
          type: string
          format: date
          title: Period
          description: Reporting period of the document
          examples:
            - '2025-09-30'
        file_id:
          type: string
          format: uuid
          title: File Id
          description: Identifier of the associated financial file
          examples:
            - 3fa85f64-5717-4562-b3fc-2c963f66afa6
        filename:
          type: string
          title: Filename
          description: Original name of the uploaded document
          examples:
            - balance_sheet_q3_2025.pdf
      type: object
      required:
        - period
        - file_id
        - filename
      title: OrganizationAnalyticsFinancialDocument
  securitySchemes:
    Token:
      type: http
      description: >-
        [Bearer
        authentication](/content/developer-guide/introduction/authentication)
        using a JWT token. Provide a valid access token. Authorization header
        format: `Authorization: Bearer <token>`.
      scheme: bearer

````